import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTdQuAnswer = (params) => request('/api/tdQuAnswer', { params });

/*
 * 新增数据
 */
export const postTdQuAnswer = (data) => request('/api/tdQuAnswer', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTdQuAnswerById = (id) => request(`/api/tdQuAnswer/${id}`);

/*
 * 更新数据
 */
export const putTdQuAnswer = (id, data) => request(`/api/tdQuAnswer/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTdQuAnswer = (id) => request(`/api/tdQuAnswer/${id}`, { method: 'delete' });
